# one_eps_closure.hh File Reference

This file declares the backward and forward one_eps_closure algorithm. More...

Include dependency graph for one_eps_closure.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

template<typename A , typename AI , typename EPS >
void | one_eps_closure (Element< A, AI > &a, const EPS &eps, misc::direction_type dir=misc::backward)
| In place one_eps_closure of an automaton (default is backward eps_closure).
template<typename A , typename AI , typename EPS >
void | backward_one_eps_closure (Element< A, AI > &a, const EPS &eps)
| In place backward_one_eps_closure of an automaton.
template<typename A , typename AI , typename EPS >
void | forward_one_eps_closure (Element< A, AI > &a, const EPS &eps)
| In place forward one_eps_closure of an automaton.

## Detailed Description

This file declares the backward and forward one_eps_closure algorithm.

See also:
  one_eps_closure(), * forward_one_eps_closure(), one_eps_closure()

Definition in file one_eps_closure.hh.